petsc-3.4.2 2013-07-02

# SNESQNSetScaleType

Sets the scaling type for the inner inverse jacobian in SNESQN.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESQNSetScaleType(SNES snes, SNESQNScaleType stype)

Logically Collective on SNES

### Input Parameters

| snes | - the iterative context
| stype | - scale type

### Options Database

-snes_qn_scale_type<shanno,none,linesearch,jacobian> -

### SNESQNSelectTypes

| SNES_QN_SCALE_NONE | - don't scale the problem
| SNES_QN_SCALE_SHANNO | - use shanno scaling
| SNES_QN_SCALE_LINESEARCH | - scale based upon line search lambda
| SNES_QN_SCALE_JACOBIAN | - scale by inverting a previously computed Jacobian.

### Keywords

SNES, SNESQN, scaling, type, set SNESLineSearch

Level:intermediate
Location:src/snes/impls/qn/qn.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages